mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# WordCacheSize

## Name

WordCacheSize -- defines maximum allowed in-memory words cache size

`indexer.conf`

## Synopsis

WordCacheSize {bytes}

## Description

WordCacheSize defines the maximum allowed size of the in-memory words cache.

Word cache is used with `DBMode=multi` to improve crawling performance.

A separate word cache of the given size is allocated for every DBAddr command, so if `indexer.conf` contains three DBAddr commands with WordCacheSize set to `10Mb`, then `30Mb` of RAM total will be used for the three word caches.

The default value is `8388608` (`8Mb`).

## Examples

    WordCacheSize 8388608

Prev | Home | Next
wf | Up | WordDensityFactor